aneweytest {plm} | R Documentation

## Chamberlain estimator and test for fixed effects

### Description

Angrist and Newey's version of the Chamberlain test

### Usage

    aneweytest(formula, data, subset, na.action, index = NULL, ...)

### Arguments

`formula` | a symbolic description for the model to be estimated,
`data` | a `data.frame`,
`subset` | see `lm`,
`na.action` | see `lm`,
`index` | the indexes,
`...` | further arguments.

### Details

Angrist and Newey's test is based on the results of the artifactual regression of the within residuals on the covariates for all the period.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### References

Angrist, J.D. and Newey, W.K. (1991). Over-identification tests in earnings functions with fixed effects, Journal of Business & Economic Statistics, 9(3), pp. 317–323.

### Examples

    data("RiceFarms", package = "plm")
    aneweytest(log(goutput) ~ log(seed) + log(totlabor) + log(size), RiceFarms, index = "id")

[Package plm version 1.6-6 Index]